<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>youtube-dll</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
</head>
<body>
<h1 id="how-to-download-your-udemy-course-videos-using-youtube-dl">How to download your Udemy course videos using youtube-dl</h1>
<blockquote>
<p>$ youtube-dl –list-extractors | grep udemy</p>
</blockquote>
<p>## Steps 1. Get link to the course to download. e.g. https://www.udemy.com/course-name/ 2. Login into udemy website, save the cookie from chrome using Chrome (Cookie.txt)<a href="https://chrome.google.com/webstore/detail/cookiestxt/njabckikapfpffapmjgojcnbfjonfjfg">1</a> export extension. Save it to file udemy-cookies.txt 3. Get the link of the video that you want to download. usually in format. Use the command provided below where you have to replace the {course_link} and {path_to_cookies_file} with respective paths.</p>
<pre><code>$ youtube-dl {course_link} --cookies {path_to_cookies_file}</code></pre>
<pre><code>$ youtube-dl --cookies ./udemy-cookies.txt https://www.udemy.com/course-name/</code></pre>
<p><strong>Notes</strong> - If you have previously installed <code>youtube-dl</code>, you should update it before attempting to download your Udemy courses <code>$ youtube-dl -U</code> - If you want your videos to be organized by chapter and the indices included, you can specify the output flag <code>-o</code> <code>$ youtube-dl --cookies ./udemy-cookies.txt -o '%(playlist)s/%(chapter_number)s - %(chapter)s/%(playlist_index)s. %(title)s.%(ext)s' https://www.udemy.com/course-name/</code></p>
</body>
</html>
